curl_options {curl} | R Documentation

## List curl version and options.

### Description

`curl_version()` shows the versions of libcurl, libssl and zlib and supported protocols. `curl_options()` lists all options available in the current version of libcurl. The dataset `curl_symbols` lists all symbols (including options) provides more information about the symbols, including when support was added/removed from libcurl.

### Usage

    curl_options(filter = "")

    curl_version()

    curl_symbols

### Arguments

`filter` | string: only return options with string in name

### Format

A data frame with columns:

name

  Symbol name

introduced,deprecated,removed

  Versions of libcurl

value

  Integer value of symbol

type

  If an option, the type of value it needs

### Examples

    # Available options
    curl_options()

    # List proxy options
    curl_options("proxy")

    # Symbol table
    head(curl_symbols)
    # Curl/ssl version info
    curl_version()

[Package curl version 3.3 Index]